graphView.annotations

## Class IntervalAnnotation

- java.lang.Object
- - org.jfree.chart.annotations.AbstractAnnotation
  - - graphView.annotations.AxisAnnotation
    - - graphView.annotations.IntervalAnnotation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.jfree.chart.annotations.Annotation

    public abstract class IntervalAnnotation
    extends AxisAnnotation

The Class IntervalAnnotation.

Author:
  peter
See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getEndValue()` Gets the end value.
`double` `getStartValue()` Gets the start value.
`void` `setEndValue(double value)` Sets the end value.
`void` `setStartValue(double value)` Sets the start value.

### Methods inherited from class graphView.annotations.AxisAnnotation

`equals, getLabel, getLabelAnchor, getLabelAngle, getLabelBackgroundPaint, getLabelFont, getLabelOffset, getLabelOffsetType, getLabelPaint, getLabelTextAnchor, getOutlinePaint, getOutlineStroke, getPaint, getRotationAnchor, getStroke, getToolTipText, getURL, hashCode, isLabelBackgroundVisible, isLabelClippingAllowed, isLabelVisible, setLabel, setLabelAnchor, setLabelAngle, setLabelBackgroundPaint, setLabelBackgroundVisible, setLabelClippingAllowed, setLabelFont, setLabelOffset, setLabelOffsetTyte, setLabelPaint, setLabelTextAnchor, setLabelVisible, setOutlinePaint, setOutlineStroke, setPaint, setRotationAnchor, setStroke, setToolTipText, setURL`

### Methods inherited from class org.jfree.chart.annotations.AbstractAnnotation

`addChangeListener, clone, getNotify, hasListener, removeChangeListener, setNotify`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getStartValue

    public double getStartValue()

Gets the start value.

Returns:
  the start value

#### setStartValue

    public void setStartValue(double value)

Sets the start value.

Parameters:
  `value` - the new start value

#### getEndValue

    public double getEndValue()

Gets the end value.

Returns:
  the end value

#### setEndValue

    public void setEndValue(double value)

Sets the end value.

Parameters:
  `value` - the new end value